local M = {}

function M.rad2deg(rad)
    return rad * (180 / math.pi)
end

function M.deg2rad(deg)
    return deg * (math.pi / 180)
end

-- Tests to see if a point (x, y) is inside a rectangle (x, y, w, h).
function M.pointInRectangle(p, r)
    return p.x > r.x and p.x < r.x + r.w and p.y > r.y and p.y < r.y + r.h
end

return M